# Build with python by default
%bcond_without python

Name:           xed
Version:        3.6.6
Release:        %mkrel 1
Summary:        A small and lightweight text editor
License:        GPLv2+
Group:          Editors
Url:            https://github.com/linuxmint/xed
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  mate-common
BuildRequires:  meson
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(iso-codes)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sm)
BuildRequires:  python3-gobject3
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtksourceview-4)
BuildRequires:  pkgconfig(libpeas-gtk-1.0)
BuildRequires:  pkgconfig(gspell-1)
BuildRequires:  pkgconfig(xapp)
BuildRequires:  gnome-common
BuildRequires:  itstool
Requires:       typelib(PeasGtk)

%description
X-Apps Text Editor is a small, but powerful text editor designed
for the Cinnamon desktop and others. It has most standard text
editor functions and fully supports international text in Unicode.
Advanced features include syntax highlighting and automatic
indentation of source code, printing and editing of multiple
documents in one window.

X-Apps Text Editor is extensible through a plugin system, which
currently includes support for spell checking, comparing files,
viewing VCS ChangeLogs, and adjusting indentation levels.

%package devel
Summary:        Small and lightweight text editor
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description devel
X-Apps Text Editor is a small, but powerful text editor designed
for the Cinnamon desktop and others. It has most standard text
editor functions and fully supports international text in Unicode.
Advanced features include syntax highlighting and automatic
indentation of source code, printing and editing of multiple
documents in one window.

X-Apps Text Editor is extensible through a plugin system, which
currently includes support for spell checking, comparing files,
viewing VCS ChangeLogs, and adjusting indentation levels.


%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome


%files -f %{name}.lang
%license COPYING
%doc AUTHORS
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/org.x.editor.service
%{_mandir}/man?/%{name}.*
%{_datadir}/metainfo/xed.appdata.xml
%{_datadir}/gtksourceview-4/styles/xed.xml

%files devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Jul 27 2024 joequant <joequant> 3.6.6-1.mga10
+ Revision: 2082684
- update to 3.6.6

* Sat Sep 02 2023 joequant <joequant> 3.4.3-1.mga10
+ Revision: 1983558
- update to 3.4.3

* Wed Feb 01 2023 wally <wally> 3.2.8-2.mga9
+ Revision: 1937429
- filter out plugin .so from provides

* Wed Feb 01 2023 wally <wally> 3.2.8-1.mga9
+ Revision: 1937409
- new version 3.2.8
- require libpeas-loader-python3 if python support is enabled

* Wed Feb 01 2023 wally <wally> 3.2.7-2.mga9
+ Revision: 1937403
- require xapps for 'org.x.apps.favorites' glib settings schema
- recommend libpeas-loader-python3 if python support is enabled

* Sun Aug 07 2022 joequant <joequant> 3.2.7-1.mga9
+ Revision: 1875832
- update to 3.2.7

* Fri Jul 01 2022 joequant <joequant> 3.2.4-1.mga9
+ Revision: 1867023
- update to 3.2.4

* Fri Apr 01 2022 umeabot <umeabot> 3.2.0-2.mga9
+ Revision: 1838983
- Mageia 9 Mass Rebuild

* Sat Nov 27 2021 joequant <joequant> 3.2.0-1.mga9
+ Revision: 1759572
- update to 3.2.0

* Wed Jun 02 2021 joequant <joequant> 3.0.0-1.mga9
+ Revision: 1729329
- update to 3.0.0

* Fri Dec 11 2020 joequant <joequant> 2.8.2-1.mga8
+ Revision: 1655264
- update to 4.8.2

* Tue Dec 08 2020 joequant <joequant> 2.8.0-1.mga8
+ Revision: 1654573
- update to 2.8.0

* Sat May 16 2020 joequant <joequant> 2.6.0-1.mga8
+ Revision: 1584310
- update to 2.6.0

* Tue Feb 18 2020 umeabot <umeabot> 2.4.2-2.mga8
+ Revision: 1539660
- Mageia 8 Mass Rebuild

* Thu Dec 12 2019 joequant <joequant> 2.4.2-1.mga8
+ Revision: 1465987
- update to 2.4.2

* Fri Oct 11 2019 joequant <joequant> 2.2.3-1.mga8
+ Revision: 1451462
- fix requires
- update to 2.2.3
+ tv <tv>
- rebuild for libpeas

* Thu Aug 08 2019 tv <tv> 2.2.0-2.mga8
+ Revision: 1428113
- rebuild with latest libpeas

* Tue Jul 09 2019 joequant <joequant> 2.2.0-1.mga8
+ Revision: 1419696
- update to 2.2

* Thu Apr 18 2019 umeabot <umeabot> 2.0.2-3.mga7
+ Revision: 1392981
- Rebuild with meson 0.50.1

* Sat Mar 09 2019 daviddavid <daviddavid> 2.0.2-2.mga7
+ Revision: 1373308
- drop no more required enchant build dependency

* Sun Feb 03 2019 joequant <joequant> 2.0.2-1.mga7
+ Revision: 1362787
- update to 2.0.2

* Sun Sep 23 2018 umeabot <umeabot> 1.8.3-2.mga7
+ Revision: 1301844
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 joequant <joequant> 1.8.3-1.mga7
+ Revision: 1250236
- update to 1.8.3

* Sun Jul 01 2018 joequant <joequant> 1.8.2-1.mga7
+ Revision: 1241003
- upgrade to 1.8.2

* Sat Dec 16 2017 joequant <joequant> 1.6.3-1.mga7
+ Revision: 1182917
- update to 1.6.3

* Sat Sep 23 2017 cjw <cjw> 1.2.2-2.mga7
+ Revision: 1158183
- rebuild for new find_lang

* Tue Jan 24 2017 joequant <joequant> 1.2.2-1.mga6
+ Revision: 1083311
- upgrade to 1.2.2

* Fri Nov 11 2016 ngompa <ngompa> 1.0.5-4.mga6
+ Revision: 1066481
- Fix group for devel subpackage

* Fri Nov 11 2016 ngompa <ngompa> 1.0.5-3.mga6
+ Revision: 1066424
- Fix up spec

* Sat Jun 18 2016 joequant <joequant> 1.0.5-2.mga6
+ Revision: 1022061
- fix typo
- save system libraries
- fix typo
- imported package xed

